﻿Type=Class
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private nativeMe As JavaObject
	
End Sub
'Initializes the object.
Public Sub Initialize
	nativeMe = Me
End Sub
'Return the following information:

Public Sub displayInfo() As String()

Dim dispInf(10) As String
Dim dummy As Int  = 0
dispInf = nativeMe.RunMethod("displayInfo",Array(dummy))
Return dispInf

End Sub

#If Java

import android.view.Display;
import android.graphics.Point;
import android.util.DisplayMetrics;
import android.view.WindowManager;
import android.content.Context;

public String[] displayInfo(int dummy) {
    String[] rtnStr = new String[10];
	Display display = ((WindowManager) BA.applicationContext.getSystemService(Context.WINDOW_SERVICE)).getDefaultDisplay();

	// display size in pixels
	Point size = new Point();
	display.getSize(size);
	int width = size.x;
	rtnStr[0] = "PointWidth = " + Integer.toString(width);
	int height = size.y;
	rtnStr[1] = "PointHeight = " + Integer.toString(height);

	// pixels, dpi
	DisplayMetrics metrics = new DisplayMetrics();
	display.getMetrics(metrics);
	int heightPixels = metrics.heightPixels;
	rtnStr[2] = "DisplayMetricsHeight = " + Integer.toString(heightPixels);
	int widthPixels = metrics.widthPixels;
	rtnStr[3] = "DisplayMetricsWidth = " + Integer.toString(widthPixels);
	int densityDpi = metrics.densityDpi;
	rtnStr[4] = "DisplayMetricsDensityDpi = " + Integer.toString(densityDpi);
	float xdpi = metrics.xdpi;
	rtnStr[5] = "DisplayMetricsXDPI = " + Float.toString(xdpi);
	float ydpi = metrics.ydpi;
	rtnStr[6] = "DisplayMetricsYDPI = " + Float.toString(ydpi);

	// deprecated
	int screenHeight = display.getHeight();
	rtnStr[7] = "ScreenHeight = " + Integer.toString(screenHeight);
	int screenWidth = display.getWidth();
	rtnStr[8] = "ScreenWidth = " + Integer.toString(screenWidth);

	// orientation (either ORIENTATION_LANDSCAPE = 2, ORIENTATION_PORTRAIT = 1)
	int orientation = BA.applicationContext.getResources().getConfiguration().orientation;
	rtnStr[9] = "Orientation = " + Integer.toString(orientation);
    return rtnStr;
}

#End If