﻿Type=Class
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private nativeMe As JavaObject
	
End Sub
'Initializes the object.
Public Sub Initialize
	nativeMe = Me
End Sub
'Return the following information:
'IMEI Number
'SubscriberID 
'SIMSerialNumber
'NetworkCountryISO
'SIMCountryISO 
'DeviceSoftwareVersion 
'VoiceMailNumber;  
'Phone Network Type
'In Roaming?
'
'Example:
'
'Dim telutil As TelephonyUtilities
'telutil.Initialize
'Log(telutil.TelephonyInfo)
Public Sub getTelephonyInfo() As String

Dim telInfo As String = ""
Dim dummy As Int  = 0
telInfo = nativeMe.RunMethod("getTelephonyInfo",Array(dummy))
Return telInfo

End Sub



#If Java

import android.os.Bundle;  
import android.app.Activity;  
import android.content.Context;  
import android.telephony.TelephonyManager;

private Context context = BA.applicationContext;
     

public String getTelephonyInfo (int dummy) {

        TelephonyManager  tm=(TelephonyManager) context.getSystemService(Context.TELEPHONY_SERVICE);  
         
        //Calling the methods of TelephonyManager the returns the information  
        String IMEINumber=tm.getDeviceId();  
        String subscriberID=tm.getDeviceId();  
        String SIMSerialNumber=tm.getSimSerialNumber();  
        String networkCountryISO=tm.getNetworkCountryIso();  
        String SIMCountryISO=tm.getSimCountryIso();  
        String softwareVersion=tm.getDeviceSoftwareVersion();  
        String voiceMailNumber=tm.getVoiceMailNumber();  
		String line1Number = tm.getLine1Number();
          
        //Get the phone type  
        String strphoneType="";  
          
        int phoneType=tm.getPhoneType();  
  
        switch (phoneType)   
        {  
                case (TelephonyManager.PHONE_TYPE_CDMA):  
                           strphoneType="CDMA";  
                               break;  
                case (TelephonyManager.PHONE_TYPE_GSM):   
                           strphoneType="GSM";                
                               break;  
                case (TelephonyManager.PHONE_TYPE_NONE):  
                            strphoneType="NONE";                
                                break;  
         }  
          
        //getting information if phone is in roaming  
        boolean isRoaming=tm.isNetworkRoaming();  
          
        String info="Phone Details:\n";  
        info+=" IMEI Number:"+IMEINumber;  
        info+="\n SubscriberID:"+subscriberID;  
        info+="\n Sim Serial Number:"+SIMSerialNumber;  
        info+="\n Network Country ISO:"+networkCountryISO;  
        info+="\n SIM Country ISO:"+SIMCountryISO;  
        info+="\n Software Version:"+softwareVersion;  
        info+="\n Voice Mail Number:"+voiceMailNumber;  
        info+="\n Phone Network Type:"+strphoneType;  
        info+="\n In Roaming? :"+isRoaming;
		info+="\n Line 1 Number :"+line1Number;
		
		return info;

}





#End If